Subject: pkg/32872: newer version (2.30) of geography/gpsd available
To: None <,,>
From: None <>
List: pkgsrc-bugs
Date: 02/18/2006 23:25:00
>Number:         32872
>Category:       pkg
>Synopsis:       newer version (2.30) of geography/gpsd available
>Confidential:   no
>Severity:       non-critical
>Priority:       low
>Responsible:    pkg-manager
>State:          open
>Class:          change-request
>Submitter-Id:   net
>Arrival-Date:   Sat Feb 18 23:25:00 +0000 2006
>Originator:     Evan Hall
>Release:        3.0
NetBSD jumpbox 3.0 NetBSD 3.0 (CSERIES_CUSTOM) #5: Sat Feb 18 15:31:09 CST 2006  evan@jumpbox:/usr/src/sys-3.0/arch/i386/compile/CSERIES_CUSTOM i386
A newer version of the gps daemon, gpsd 2.30, is available from

There have been quite a number of releases since gpsd 1.07, the current version in pkgsrc.

2.30 has a curses/ncurses compile conflict on NetBSD, but it can be made to compile by changing the line in sirfmon.c from "#include <curses.h>" to "#include <ncurses.h>".